# Half-Life: Source - Issues

Here's a list of things that we'd fix in Half-Life: Source (and Deathmatch), given the opportunity.

## Bug: Entities double spawning in multiplayer

All entities double spawn in multiplayer. Supposedly a gamerule class method needs to be stubbed out because it's running spawn code twice? We don't have the source code to HL:S, so we have no idea.

## Bug: Some weapons have no muzzleflash in third person.

Only the MP5/9mmAR has a muzzleflash!

## Bug: RPG does not use firing animation in third person.

See title.

## Bug: The Snark pickup model is wrong.

It's a big green/red thing. Not a single snark.

## Bug: You cannot turn off footsteps.

The multiplayer Create Server menu has the option to disable footsteps. That's completely ignored. Unacceptable.

## Bug: Wrong hit sounds.

Go into rapidcore.bsp and hit the metal pillar in the middle of the room with the glass floor and MP5/9mmAR pickup. It makes flesh impact sounds, but only to the local player. Is the material type networked properly?

## Bug: HUD colors are wrong for ammo

Weapon selection ammo colors are wrong. Compare it to Half-Life.

## Bug: Credits button on rapidcore.bsp does not work

Assuming that is a mistake. The button is still there, but the author credits no longer show up.


## Inconsistency: `drop` command does not exist in multiplayer.

In Half-Life, you could issue `drop` in console (or bind it) to drop the currently held weapon. This is missing here.


## Quality of Life: Server password is not saved?

Whenever a server gets started, the Create Server menu has empty defaults.

## Fluff: The wrong sound, everywhere

Sounds from Half-Life 2 clash with Half-Life. Doors during the train ride should not sound like a door handle is being pulled. The footsteps are all from Half-Life 2 as well and clash with the lower sampling rate sounds from Half-Life.


## Fluff: More cubemaps instead of spherical environment maps

One massively missed opportunity was to not use cubemaps for the majority of environment mapping in Half-Life: Source.

## Fluff: The chrome effect is not accurate at all

FreeHL has a .glsl that mimics the effect accurately. That'd have to be converted into a Source Engine shader.